curl --request GET \
--url https://services.leadconnectorhq.com/products/{productId}/price \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"prices": [
{
"_id": "655b33aa2209e60b6adb87a7",
"name": "Red / S",
"type": "one_time",
"currency": "INR",
"amount": 199999,
"membershipOffers": [
{
"label": "top_50",
"value": "50",
"_id": "655b33aa2209e60b6adb87a7"
}
],
"variantOptionIds": [
"h4z7u0im2q8",
"h3nst2ltsnn"
],
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"product": "655b33a82209e60b6adb87a5",
"userId": "6YAtzfzpmHAdj0e8GkKp",
"recurring": {
"interval": "day",
"intervalCount": 1
},
"createdAt": "2023-11-20T10:23:38.645Z",
"updatedAt": "2024-01-23T09:57:04.852Z",
"compareAtPrice": 2000000,
"trackInventory": null,
"availableQuantity": 5,
"allowOutOfStockPurchases": true
}
],
"total": 10
}The “List Prices for a Product” API allows retrieving a paginated list of prices associated with a specific product. Customize your results by filtering prices or paginate through the list using the provided query parameters.
curl --request GET \
--url https://services.leadconnectorhq.com/products/{productId}/price \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"prices": [
{
"_id": "655b33aa2209e60b6adb87a7",
"name": "Red / S",
"type": "one_time",
"currency": "INR",
"amount": 199999,
"membershipOffers": [
{
"label": "top_50",
"value": "50",
"_id": "655b33aa2209e60b6adb87a7"
}
],
"variantOptionIds": [
"h4z7u0im2q8",
"h3nst2ltsnn"
],
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"product": "655b33a82209e60b6adb87a5",
"userId": "6YAtzfzpmHAdj0e8GkKp",
"recurring": {
"interval": "day",
"intervalCount": 1
},
"createdAt": "2023-11-20T10:23:38.645Z",
"updatedAt": "2024-01-23T09:57:04.852Z",
"compareAtPrice": 2000000,
"trackInventory": null,
"availableQuantity": 5,
"allowOutOfStockPurchases": true
}
],
"total": 10
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 ID of the product that needs to be used
"6578278e879ad2646715ba9c"
The maximum number of items to be included in a single page of results
20
The starting index of the page, indicating the position from which the results should be retrieved.
0
The unique identifier for the location.
"3SwdhCsvxI8Au3KsPJt6"
To filter the response only with the given price ids, Please provide with comma separated
"6241712be68f7a98102ba272,632027d51f7876cd3020213d"
Was this page helpful?